import * as DataType from 'sequelize'

export default {
  options: {
    timestamps: false,
  },
  modelName: 'Tag',
  tableName: 'tags',
  rawAttributes: {
    id: {
      allowNull: true,
      primaryKey: true,
      type: DataType.UUIDV4,
    },
    name: {
      allowNull: false,
      type: DataType.STRING,
    },
  }
}

// import 'reflect-metadata'
// import {
//   AllowNull,
//   Column,
//   Model,
//   PrimaryKey,
//   Table,
//   DataType,
// } from 'sequelize-typescript'
//
// @Table({
//   timestamps: false,
// })
// export default class Tag extends Model<Tag> {
//   @AllowNull
//   @PrimaryKey
//   @Column(DataType.UUIDV4)
//   id?: string
//
//   @Column
//   name: string
// }
