import models from './src/models'

export const up = async queryInterface => {
  models.forEach(m => {
    queryInterface.createTable(m.tableName, m.rawAttributes)
  })
}

export const down = async (queryInterface) => {
  models
    .reduce((reverse, m) => [m, ...reverse], [])
    .forEach(m => {
      queryInterface.dropTable(m.tableName)
    })
}
